var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useMemo } from 'react';
import { defaultTo, identity } from 'ramda';
import i18n from 'ui-i18n';
import { DropDownSelector } from '../DropDownSelector';
import { RelationOption } from './components/RelationOption';
export var RelationTypeSelector = function (_a) {
    var _b = _a.value, value = _b === void 0 ? {} : _b, _c = _a.options, options = _c === void 0 ? [] : _c, _d = _a.onChange, onChange = _d === void 0 ? identity : _d, TextFieldProps = _a.TextFieldProps, otherProps = __rest(_a, ["value", "options", "onChange", "TextFieldProps"]);
    var textFieldProps = useMemo(function () {
        var _a;
        return (__assign(__assign({}, defaultTo({}, TextFieldProps)), (_a = {}, _a['data-reltio-id'] = 'relation-type-selector', _a)));
    }, [TextFieldProps]);
    return (React.createElement(DropDownSelector, __assign({ value: value, options: options, onChange: onChange, label: i18n.text('Select relationship type '), components: { Option: RelationOption }, TextFieldProps: textFieldProps }, otherProps)));
};
